<?php


namespace App\Http\Controllers\Api\Crop;


class CropController
{
    private $service;
    public function __construct(\Illuminate\Http\Request $request)
    {
        $crop = $request->route()->crop;
        $serviceName = "\App\Services\Api\Crop\Crop{$crop}Service";
        $this->service = new $serviceName;
    }
    public function search($crop, $name)
    {
        return $this->service->search($name);
    }
    public function getJobs($crop, $encodedCustNo)
    {
        return $this->service->jobList($encodedCustNo);
    }
}
