<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});
Route::group(['namespace' => 'Crop'], function()
{
    Route::get('crop/{crop}/{name}', 'CropController@search')->where('crop', '104|1111');
    Route::get('crop/{crop}/{encodedCustNo}/jobs', 'CropController@getJobs')->where('crop', '104|1111');
});
